Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064947 - nova-compute shouldn't spawn two libguestfs appliances every time an instance is launched
Summary: nova-compute shouldn't spawn two libguestfs appliances every time an instance...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 6.0 (Juno)
Assignee: Pádraig Brady
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 15:43 UTC by Jim Minter
Modified: 2016-01-04 14:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-03 12:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1279858 None None None Never

Description Jim Minter 2014-02-13 15:43:35 UTC
Using RHELOSP 4.0 GA bits, I'm finding that when I launch the Cirros 0.3.1 image, separate calls to libguestfs within the nova codebase cause qemu-kvm to be run twice *before* the instance is launched.  This is suboptimal.

One libguestfs call (file injection) can be disabled by setting libvirt_inject_partition=-2, but this does not work for the second one (checking to see if the volume partition/filesystem can be extended).  The codepath for the second call is approximately:

/nova/virt/disk/api.py extend()
/nova/virt/disk/api.py is_image_partitionless()
/nova/virt/disk/vfs/guestfs.py VFSGuestFS.setup()

It would be good if all of this could be done with one libguestfs instance which could also be disabled in the global nova config.

Comment 2 Pádraig Brady 2015-02-03 12:58:06 UTC
Upstream is moving away from file injection. To disable for now you can remove python-libguestfs from the compute nodes


Note You need to log in before you can comment on or make changes to this bug.